%define gi_major 3.0
%define girname %mklibname %{name}-gir %{gi_major}

Summary:	The Eye of GNOME image viewer
Name:     	eog
Version:	3.2.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	http://download.gnome.org/sources/%{name}/3.1/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/eog/
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 2.91.92
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.4
BuildRequires:	pkgconfig(gnome-icon-theme)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	gnome-doc-utils
BuildRequires:	jpeg-devel
BuildRequires:	intltool >= 0.40.0
Requires:	%{_lib}rsvg2_2
Requires:	gnome-icon-theme
Requires:	pygtk2.0
Requires:	gnome-python-gnomevfs
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/eog
%{_datadir}/icons/hicolor/*/*/*
%dir %{_libdir}/eog
%dir %{_libdir}/eog/plugins
%{_libdir}/eog/plugins/fullscreen.plugin
%{_libdir}/eog/plugins/reload.plugin
%{_libdir}/eog/plugins/statusbar-date.plugin
%{_libdir}/eog/plugins/*.so*
%{_libdir}/eog/girepository-1.0/Eog-%gi_major.typelib

#--------------------------------------------------------------------

%package devel
Group:		Development/Libraries
Summary:	C headers needed to build EOG plugins

%description devel
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

Install this if you want to build EOG plugins.

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/eog
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

# needed otherwise gconf database installation will fail
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#Fix name
perl -pi -e "s|Name=Image Viewer|Name=Eye of Gnome|" %buildroot/%_datadir/applications/eog.desktop

%find_lang %{name} --with-gnome

rm -rf %{buildroot}%{_libdir}/eog/plugins/*a \
   %{buildroot}/var/lib/scrollkeeper


%changelog
* Sun Apr 01 2012 Neal <nealbrks0 at gmail dot com> 3.2.2-2pclos2012
- rebuild

* Wed Dec 14 2011 Texstar <texstar at gmail.com> 3.2.2-1pclos2011
- 3.2.2

* Thu Oct 27 2011 Texstar <texstar at gmail.com> 3.2.1-2pclos2011
- rebiuld against glib2-2.30.1 not 2.31.0

* Wed Oct 18 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.92-1pclos2011
- 3.1.92
